Qt 5.11 | Qt Core | C++ Classes | iterator

Qt 5.11.3 Reference Documentation

# List of All Members for iterator

This is the complete list of members for QSet::iterator, including inherited members.

- typedef difference_type
- typedef iterator_category
- typedef pointer

- typedef reference
- typedef value_type
- iterator()
- iterator(typename Hash::iterator )
- iterator(const iterator &)
- operator!=(const iterator &) const : bool
- operator!=(const const_iterator &) const : bool
- operator*() const : const T &
- operator+(int ) const : iterator
- operator++() : iterator &
- operator++(int) : iterator
- operator+=(int ) : iterator &
- operator-(int ) const : iterator
- operator--() : iterator &
- operator--(int) : iterator
- operator-=(int ) : iterator &
- operator->() const : const T *
- operator=(const iterator &) : iterator &
- operator==(const iterator &) const : bool
- operator==(const const_iterator &) const : bool